function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { PureComponent } from 'react';
import { MapboxConsumer } from './Mapbox';

class ZoomControl extends PureComponent {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "handleZoomIn", () => this.props.mapboxInstance.zoomIn());

    _defineProperty(this, "handleZoomOut", () => this.props.mapboxInstance.zoomOut());
  }

  render() {
    return React.createElement("div", {
      className: this.props.className
    }, React.createElement("button", {
      onClick: this.handleZoomIn,
      type: "button"
    }, "+"), React.createElement("button", {
      onClick: this.handleZoomOut,
      type: "button"
    }, "-"));
  }

}

const ZoomControlWithConsumer = props => React.createElement(MapboxConsumer, null, React.createElement(ZoomControl, props));

export default ZoomControlWithConsumer;